# MU1-Rechner
## Was kann er mehr:
- Indirekte Adressierung
- Schleifen
- Unterprogramme (Strukturen)
- Optimieren der Datenzugriffe (schneller)

## ALU
### Verbesserungen
- Funktionen der ALU
  - **A+B** ist der Ausgang des Addierers
  - **A-B** wird gebildet als **A+nichtB+1**
  - **B** wird implementiert, indem A fest auf 0 gesetzt wird
  - **A+1** wird implementiert, indem Eingang B fest auf 0 und Carry-Eingang auf 1 gesetzt wird

![image_54.png](image_54.png)

### Grundfunktionen MU1-ALU
- FA: Funktion (0, A) (also eig. F0A)
- FB: Funktion (0, B)
- FIA: Funktion (Inverter, A)
- FIB: Funktion (Inverter, B)
- FC: Funktion (F1, Carry-Flag)
- F1: Funktion (0/1)
- FS: Funktionsergebnis Statusregister
- C: Funktionsergebnis C

![image_56.png](image_56.png)
![image_55.png](image_55.png)

## Der MU1-Datenpfad
- Das erweiterte Modell besitzt
  - Stackpointer SP
  - Register Din und Dout
- Laufzeiten sind kürzer pro Takt
  - Takt kann erhöht werden
- Durch Din und Dout braucht es mehr Taktzyklen, diese sind aber schneller durchlaufen

![image_57.png](image_57.png)

## 